{{ define "main" }}
  {{ $project_logo := .Page.Params.project_logo }}
  {{ $funding_bodies := .Page.Params.funding_bodies }}
  {{ $eclipse_projects := .Page.Params.eclipse_projects }}
  {{ $homepage := .Page.Params.homepage }}
  {{ $linkedin := .Page.Params.linkedin }}
  {{ $twitter := .Page.Params.twitter }}
  {{ $facebook := .Page.Params.facebook }}
  {{ $youtube := .Page.Params.youtube }}
  {{ $zenodo := .Page.Params.zenodo }}
  <div class="row">
    <div class="col-sm-18">
      <div class="bg-neutral-flat padding-top-10 padding-bottom-30 padding-x-30">
        <h1>{{ .Title }}</h1>
        {{ .Content }}
      </div>
    </div>
    <div class="col-sm-6">
      <div class="research-sidebar margin-y-30 text-center">
        <div class="research-sidebar-item research-sidebar-logo bordered-box padding-30">
          <img class="img img-responsive margin-auto" src="{{ $project_logo }}" alt="" />
        </div>
        {{ if or $homepage $facebook $linkedin $twitter $youtube $zenodo }}
          <ul class="research-sidebar-item research-sidebar-socials social-media bg-black white dark list-inline margin-x-0 padding-y-10">
            {{ with $homepage }}
              <li>
                <a class="social-media-link fa-stack link-unstyled" href="{{ . }}">
                  <i class="fa-regular fa-circle fa-stack-2x" aria-hidden="true"></i>
                  <i class="fa-solid fa-globe fa-stack-1x" aria-hidden="true"></i>
                </a>
              </li>
            {{ end }}
            {{ with $linkedin }}
              <li>
                <a class="social-media-link fa-stack link-unstyled" href="{{ . }}">
                  <i class="fa-regular fa-circle fa-stack-2x" aria-hidden="true"></i>
                  <i class="fa-brands fa-linkedin-in fa-stack-1x" aria-hidden="true"></i>
                </a>
              </li>
            {{ end }}
            {{ with $twitter }}
              <li>
                <a class="social-media-link fa-stack link-unstyled" href="{{ . }}">
                  <i class="fa-regular fa-circle fa-stack-2x" aria-hidden="true"></i>
                  <i class="fa-brands fa-twitter fa-stack-1x" aria-hidden="true"></i>
                </a>
              </li>
            {{ end }}
            {{ with $youtube }}
              <li>
                <a class="social-media-link fa-stack link-unstyled" href="{{ . }}">
                  <i class="fa-regular fa-circle fa-stack-2x" aria-hidden="true"></i>
                  <i class="fa-brands fa-youtube fa-stack-1x" aria-hidden="true"></i>
                </a>
              </li>
            {{ end }}
            {{ with $zenodo }}
              <li>
                <a class="social-media-link fa-stack fa-lg link-unstyled" href="{{ . }}">
                  <i class="fa fa-circle-thin fa-stack-2x" aria-hidden="true"></i>
                  <i class="fa fa-database fa-stack-1x" aria-hidden="true"></i>
                </a>
              </li>
            {{ end }}
          </ul>
        {{ end }}
        {{ if gt (len $funding_bodies) 0 }}
          <div class="research-sidebar-item research-sidebar-badge bordered-box padding-30 padding-top-10">
            <h2 class="h4 fw-600">Funded by</h2>
            {{ range $funding_bodies }}
              {{ $id := . }}
              {{ range first 1 (where $.Site.Data.research.funding_bodies.items "id" $id) }}
              <div class="research-sidebar-funding-body">
                <a href="{{ .link }}" title="{{ .name }} homepage" target="_blank">
                  {{ if .logo }}
                    <img class="img img-responsive" src="{{ .logo | relURL }}" alt="{{ .name }}'s logo" />
                  {{ else }}
                    <i 
                      style="width:75px;height:75px;"
                      class="center-block"
                      data-feather="file-text"
                      stroke-width="1"
                      aria-hidden="true"
                    ></i>
                  {{ end }}
                </a>
              </div>
              {{ end }}
            {{ end }}
          </div>
        {{ end }}
        {{ if gt (len $eclipse_projects) 0 }}
          <div class="research-sidebar-item research-sidebar-badge bordered-box padding-30 padding-top-10">
            <h2 class="h4 fw-600">Eclipse Projects Contributions</h2>
            {{ range .Params.eclipse_projects }}
              {{ $id := . }}
              {{ range first 1 (where $.Site.Data.eclipsefdn_projects "project_id" .) }}
              <a class="research-sidebar-badge-logo" href="{{ .url }}">
                  <img class="img img-responsive" src="{{ .logo }}" alt="{{ .name }}'s logo" />
                </a>
              {{ end }}
            {{ end }}
          </div>
        {{ end }}
      </div>
    </div>
  </div>
{{ end }}
